Page({

  /**
   * 页面的初始数据
   */
  data: {
    zradio: [
      { name: 'radio', sex: '女', bool: false, checked: true },
      { name: 'radio', sex: '男', bool: false, checked: false }
    ],
    flag: true,
    occupations: [
      { name: 'radio', occupation: '家长', checked: false, status: 0 },
      { name: 'radio', occupation: '老师', checked: false, status: 1 },
      { name: 'radio', occupation: '学生', checked: true, status: 2  }
    ],
    region: ['北京市', '海淀区','万泉胜景远小学']
  },

  radioChange: function (e) {
    var zradio = this.data.zradio;
    var index = e.currentTarget.dataset.index;
    for (let i = 0; i < zradio.length;i++){
      if (zradio[i].checked){
        zradio[i].checked = false;
      }
      else{
        zradio[i].checked = true;
      }
    }
    this.setData({
      zradio: zradio
    });
  },

  radioSetting:function(e){
    let occupations = this.data.occupations;
    let index = e.currentTarget.dataset.index;
    for (let i = 0; i < occupations.length;i++){
      let state = index;//缓存 用户当前点击的索引。
      if (occupations[state].checked){
        occupations[state].checked = false;
      }
      else{
        occupations[state].checked = true;
      }
    }
    this.setData({
      occupations: occupations
    });
    console.log(occupations);
  },

  formSubmit: function (e) {
    console.log('form发生了submit事件，携带数据为：', e.detail.value)
  },
  
  bindRegionChange: function (e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      region: e.detail.value
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (option) {
    console.log(option.title);
    if (option.title) {
      wx.setNavigationBarTitle({
        title: option.title//页面标题为路由参数
      });
      this.setData({
        title: option.title
      });
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
     
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    
  }
})